(function() { 
	$.fn.newCheck = function(option){
		var config = $.extend({mode:'dl',glue:'/',text:'New!'},option);
		return this.each(function(){
			var innerTxt = '<span>'+config.text+'</span>';
			var today = new Date();
			var year = today.getFullYear();
			var month = today.getMonth() + 1;
			if (month < 10) {
				month = '0' + month;
			}
			var day = today.getDate();
			if (day < 10) {
				day = '0' + day;
			}
			var todayStr;
			if (config.glue == '年月日') {
				todayStr = year + '年' + month + '月' + day + '日';
			}else{
				todayStr = year + config.glue + month + config.glue + day;
			}
			
			switch (config.mode)
			{
				case 'dl':
				$(' > dt',this).each(function(){
					var dtVal = $(this).text();
					if (dtVal.match(todayStr) != null) {
						$(this).next().append(innerTxt);
					}
				});
				break;
				case 'table':
				$('th',this).each(function(){
					var thVal = $(this).text();
					if (thVal.match(todayStr) != null) {
						$(this).next().append(innerTxt);
					}
				});
				break;
			}
		});
	}
})(jQuery);