(function() { 
	$.fn.slideShow = function(option){
		var config = $.extend({mode:'fade',speed:'slow',cAlpha:1},option);
		return this.each(function(){
			var current = $(this);
			$(' >:first',this).addClass('control');
			$(' >:last',this).addClass('visual');
			$('.visual li').css({display:'none'});
			$('.control li a:eq(0)',this).addClass('selected');
			$('.visual li:eq(0)',this).addClass('display');
			$('.selected').css({opacity:config.cAlpha});
			$('.display').css({display:'block'});
			$('.control li a').click(function(){
				if (!($(this).is('.selected'))) {
					var disImg = '#'+$('.display',current).attr('id');
					var linkID = $(this,current).attr('href');
					$('.control li a',current).removeClass('selected');
					$('.visual li',current).removeClass('display');
					$('.control li a',current).css({opacity:'1'});
					$(this,current).addClass('selected');
					$('.selected',current).css({opacity:config.cAlpha});
					$(linkID,current).addClass('display');
					
					switch(config.mode)
					{
						case 'fade':
						$(disImg,current).css({display:'none'});
						$(linkID,current).css({display:'block'});
						$(linkID,current).css({opacity:0});
						$(linkID,current).fadeTo(config.speed,1.0);
						
						break;
						case 'xfade':
						$('.visual',current).css({position:'relative'});
						$(disImg,current).css({position:'absolute',top:0});
						$(disImg,current).fadeOut(config.speed,function(){
							$(this,current).css({position:'static'});
						});
						$(linkID,current).fadeIn(config.speed);
						break;
					}
				}
				return false;
			});
		});
	}
})(jQuery);